#
# spec file for package perl-CGI-FormBuilder
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-CGI-FormBuilder
%define cpan_name CGI-FormBuilder
Summary:        Easily generate and process stateful forms
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Version:        3.09
Release:        4.1
Url:            http://search.cpan.org/dist/CGI-FormBuilder/
Source:         http://www.cpan.org/authors/id/N/NW/NWIGER/%{cpan_name}-%{version}.tgz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{perl_requires}
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(CGI)
BuildRequires:  perl(CGI::FastTemplate) >= 1.09
BuildRequires:  perl(HTML::Template) >= 2.06
BuildRequires:  perl(Template) >= 2.08
BuildRequires:  perl(Text::Template) >= 1.43
#
Requires:       perl(CGI)
BuildRequires:  fdupes
Recommends:     perl(CGI::FastTemplate) >= 1.09
Recommends:     perl(HTML::Template) >= 2.06
Recommends:     perl(Template) >= 2.08
Recommends:     perl(Text::Template) >= 1.43

%description
The goal of CGI::FormBuilder (FormBuilder) is to provide an easy
way for you to generate and process entire CGI form-based
applications. Its main features are:

Field Abstraction
  Viewing fields as entities (instead of just params), where the
  HTML representation, CGI values, validation, and so on are
  properties of each field.

DWIMmery
  Lots of built-in "intelligence" (such as automatic field typing),
  giving you about a 4:1 ratio of the code it generates versus what
  you have to write.

Built-in Validation
  Full-blown regex validation for fields, even including
  JavaScript code generation.

Template Support
 Pluggable support for external template engines,
  such as HTML::Template, Text::Template, Template Toolkit,
  and CGI::FastTemplate.

Plus, the native HTML generated is valid XHTML 1.0 Transitional.

%prep
%setup -n %{cpan_name}-%{version}

%build
perl Makefile.PL OPTIMIZE="$RPM_OPT_FLAGS -Wall" 
%{__make}

%check
# broken tests - see https://rt.cpan.org/Public/Bug/Display.html?id=81650
rm t/1a-generate.t
rm t/2d-template-fast.t
rm t/2c-template-tt2.t
%{__make} test

%install
%perl_make_install
## rpmlint
# files-duplicate
%fdupes $RPM_BUILD_ROOT%perl_vendorlib
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files 
%defattr(-, root, root)
%doc Changes README

%changelog
* Sun Feb  9 2014 coolo@suse.com
- updated to 3.09 (empty changes file - *shrug*)
* Tue Sep 24 2013 coolo@suse.com
- remove broken tests - no upstream release in 2 years shows...
* Tue Dec  6 2011 coolo@suse.com
- fix perl license
* Fri Nov 18 2011 coolo@suse.com
- update to 3.08
    Maintenance release with a couple new features: support for "charset:
    utf8" in "Source::File", add_before_option/add_after_option c/o Victor
    Porton, and support for HTML5 type names c/o Wolfgang Radke.
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Fri Feb 26 2010 chris@computersalat.de
- bzipped Source
- cleanup spec
  o added header
  o sort TAGS
  o fix deps
  o added perl-macros
  o update description
- rpmlint
  o files-duplicate
* Thu Jul 23 2009 lnussel@suse.de
- initial package version 3.0501
